package main

import (
	// External
	werr "git.gibonuddevalla.se/go/wrappederror"

	// Standard
	"encoding/json"
	"io"
	"net/http"
)

type Request struct {
	ID string
}

func responseError(w http.ResponseWriter, err error) {
	res := map[string]interface{}{
		"OK": false,
		"Error": err.Error(),
	}
	resJSON, _ := json.Marshal(res)

	
	werr.Wrap(err).Log()
	w.Header().Add("Content-Type", "application/json")
	w.Write(resJSON)
}

func responseData(w http.ResponseWriter, data interface{}) {
	resJSON, _ := json.Marshal(data)
	w.Header().Add("Content-Type", "application/json")
	w.Write(resJSON)
}

func parseRequest(r *http.Request, data interface{}) (err error) {
	body, _ := io.ReadAll(r.Body)
	defer r.Body.Close()
	err = json.Unmarshal(body, data)
	return
}
